package com.leanwo.activiti.dto.base;

import java.util.List;

/**
 * 节点审批通过的响应.
 *
 * @author YangZhiJie
 */
public class NodeApprovedResponse {
	
	/**  数据字典表单ModelData. */
    private ModelData modelData;
    
    /**  审批表单数据. */
    private List<KeyValueObject> keyValueObjects;

	/**
	 * Gets the 数据字典表单ModelData.
	 *
	 * @return the 数据字典表单ModelData
	 */
	public ModelData getModelData() {
		return modelData;
	}

	/**
	 * Sets the 数据字典表单ModelData.
	 *
	 * @param modelData the new 数据字典表单ModelData
	 */
	public void setModelData(ModelData modelData) {
		this.modelData = modelData;
	}

	/**
	 * Gets the 审批表单数据.
	 *
	 * @return the 审批表单数据
	 */
	public List<KeyValueObject> getKeyValueObjects() {
		return keyValueObjects;
	}

	/**
	 * Sets the 审批表单数据.
	 *
	 * @param keyValueObjects the new 审批表单数据
	 */
	public void setKeyValueObjects(List<KeyValueObject> keyValueObjects) {
		this.keyValueObjects = keyValueObjects;
	}
}
